<?php

$title = 'Edit parcel';
$this->headTitle($title);
?>
    <h1><?= $this->escapeHtml($title) ?></h1>
<?php
$parcelId = $form->get('parcel_id');
$parcelId->setAttribute('class', 'form-control');
$parcelId->setAttribute('placeholder', 'Parcel');

$tractorId = $form->get('tractor_id');
$tractorId->setAttribute('class', 'form-control');
$tractorId->setAttribute('placeholder', 'Tractor');

$area = $form->get('area');
$area->setAttribute('class', 'form-control');
$area->setAttribute('placeholder', 'Area');

$date = $form->get('date');
$date->setAttribute('class', 'form-control');
$date->setAttribute('placeholder', 'Date');

$submit = $form->get('submit');
$submit->setAttribute('class', 'btn btn-primary');

$form->setAttribute('action', $this->url('parcel_treatment', [
    'action' => 'edit',
    'id'     => $id,
]));
$form->prepare();

echo $this->form()->openTag($form);
?>
    <div class="form-group">
        <?= $this->formLabel($parcelId) ?>
        <?= $this->formElement($parcelId) ?>
        <?= $this->formElementErrors()->render($parcelId, ['class' => 'help-block']) ?>
    </div>

    <div class="form-group">
        <?= $this->formLabel($tractorId) ?>
        <?= $this->formElement($tractorId) ?>
        <?= $this->formElementErrors()->render($tractorId, ['class' => 'help-block']) ?>
    </div>

    <div class="form-group">
        <?= $this->formLabel($area) ?>
        <?= $this->formElement($area) ?>
        <?= $this->formElementErrors()->render($area, ['class' => 'help-block']) ?>
    </div>

    <div class="form-group">
        <?= $this->formLabel($date) ?>
        <?= $this->formDate($date) ?>
        <?= $this->formElementErrors()->render($date, ['class' => 'help-block']) ?>
    </div>
<?php
echo $this->formSubmit($submit);
echo $this->formHidden($form->get('id'));
echo $this->form()->closeTag();
